[ OpenDX Home at IBM | OpenDX.org ]

### Describe

Category

Debugging

Function Describes a Data Explorer object

Syntax

    Describe(object, options);

Inputs

Name | Type | Default | Description
--- | --- | --- | ---
`object` | object | none | Object to be described
`options` | string | "all" | how much information to provide

Functional Details

`object` | Specifies any Data Explorer object, for example, a group, field, or scalar value. This module will query the object and present information about it in the Message Window (use Open Message Window in the Windows menu).

`options`

specifies how much information to provide. `options` must be one of "all", "structure", "details", or "render":

"all" | (the default) prints out all three types of the following information. Specifying any one of the following keywords restricts the output to that subset of the information
"structure" | describes the top level object
"details" | describes in more detail any data in the object
"render" | describes whether the object is renderable (i.e. ready for input to the Image or Display tools), and if not suggests what needs to be added or changed to make it so.

Components

Does not modify the input object.

Example Visual Programs

    SIMPLE/Describe.net

See Also

Print, Echo, VisualObject